Subject: AIPS available for Linux!
From: [email-masked] (Uppie)
Date: 22 Feb 1994 18:42:59 GMT
Newsgroups: comp.os.linux.announce

Here is a copy of Pat Murphy's (of NRAO) announcement of the quarterly
update of the Astronomical Image Processing System (AIPS).  Included in
this quarterly update is first-time support for AIPS on Intel (PC)
platforms (running Linux).

I did the initial (rough) port of AIPS to Linux last fall, and since then
we have refined the port significantly; it now supports all AIPS functions
with the exception of local tape drive support (remote tape drive access--
using tape drives on remote machines over the Internet from within AIPS, 
however, is supported).

The port to Linux was done using the f2c/gcc combination (much of AIPS
is in FORTRAN), and has been tested on the following Linux configurations:

Kernels:  0.99.{12,13,14,15}  (slight problems with pl13 file locking)
Libc:     4.4.4, 4.5.8, 4.5.19
GCC:      2.4.5, 2.5.7, 2.5.8
libf2c:   0.9
Whatever the latest version of f2c is (I can't recall off-hand).

I currently run it on 0.99.15 with libc-4.5.19.

---------------------------------------------------------------------------

For the curious, the Astronomical Image Processing System is a
software package for calibration, data analysis, image display,
plotting, and a variety of ancillary tasks on Astronomical Data. It
comes from the National Radio Astronomy Observatory. It is primarily
for Radio Astronomy. There is a Usenet newsgroup alt.sci.astro.aips
that deals with AIPS issues and has occasional interesting
announcements.
(the above is from the AIPS home pages on WWW.)

AIPS is a large (>60 MB source-code tar file), powerful package, and
its port to Linux is more proof that Linux can be used in a serious
computing environment.  Compiled and installed, AIPS will take up
roughly 200MB of disk space, not including data storage areas.

Performance testing on a 486DX2/66V Gateway 2000 with 32MB RAM has
shown that the Linux version is roughly comparable to the SunOS
version running on a Sun SPARC IPC.  (The PC version really shines at
overhead handling and I/O, but falls behind in heavy floating-point,
computation-oriented tasks.)

Performance testing on a 386DX/33 (with an 80387) has shown that you
_really_ want at least a 486DX to run AIPS.  :-)

AIPS does not cost anything, but to get a copy of it you must sign a 
user agreement with NRAO.  (For details, contact [email-masked].)
Availability is outlined below:

---------------------------------------------------------------------------
(BEGIN OFFICIAL NRAO ANNOUNCEMENT)
---------------------------------------------------------------------------

The 15JAN94 release of "Classic" AIPS is now available, with the following
caveats:

    1.  It is only available via (non-anonymous) ftp at first; and
    2.  You must have a standard system.

For now, the "standard" systems are those on which installation testing
has concluded and include:

  *  Sparc:  SunOS 4.1.2, 5.3 (4.1.3 ok, 5.2 also but you're better off at 5.3)
  *  IBM RS/6000:  AIX 3.2.5 (3.2.3 and 3.2.2 should be ok)
  *  Dec Alpha AXP:  OSF/1 1.2 (1.3 *may* be ok)
  *  DecSystems (MIPS chip):  Ultrix 4.3
  *  Intel 386/486/Pentium:  Linux 0.99.15 (** see below).

The Installation Summary for 15JAN94 is available, but at this point the
Porting Reference is still being updated.  If you are considering
installing AIPS on a PC with Linux (not MS/DOS, not MS-Windows), you may
be better off to wait until the porting reference is available unless you
really know what you're doing.

Additional information is available via World Wide Web at:

	http://info.cv.nrao.edu/aips/aips-home.html

including order forms, the user agreement, copies of the 15JAN94
AIPSletter (paper copies going out today via snail mail) and the 15JAN94
Installation Summary.

There will be an additional announcement when the porting reference is
updated; at that point requests for 15JAN94 AIPS on tape (9-track, 8mm
"Exabyte" 8200 or 8500, 4mm DDS DAT, QIC-150 and TK50) will be processed,
as will orders for HP-UX and system/OS combinations other than the above
list. 

As before, we strongly urge any internet-connected sites to use the
internet ftp method; this release we offer both regular (.Z) and GNU
zipped (.gz) versions of the tar file; the latter is about 50% smaller (13
Megabytes) than the former (18+ Megabytes).

Apologies for the delays in getting the release out on time.  The weather
certainly didn't help!  Send requests, questions, etc. to <[email-masked]>.

				- Pat Murphy
--
==========================================================================
| Patrick P. Murphy, Ph.D.                Scientific Programming Analyst |
| National Radio Astronomy Observatory    Net:       [email-masked]    |
| 520 Edgemont Road                       Phone:     (804) 296-0372      |
| Charlottesville, VA 22903-2475          VoiceMail: (804) 980-5889      |
| http://info.cv.nrao.edu/staff/pmurphy/pm-home.html (Irish/Celtic info) |
|      "I don't believe in the no-win scenario"  --- James T. Kirk       |
==========================================================================

---------------------------------------------------------------------------
(END OFFICIAL NRAO ANNOUNCEMENT)
---------------------------------------------------------------------------

--
Jeff Uphoff -- "Uppie"                |  "The secret to good teaching is
National Radio Astronomy Observatory  |  sincerity.  As soon as you learn
Charlottesville, Virginia, USA        |  to fake that, you've got it made."

E-mail:      [email-masked]
WWW/Mosaic:  http://tarsier.cv.nrao.edu/~juphoff/